ALTER TABLESPACE()

NAME
ALTER TABLESPACE - change the definition of a tablespace

SYNOPSIS

ALTER TABLESPACE name RENAME TO newname
ALTER TABLESPACE name OWNER TO newowner

DESCRIPTION

ALTER TABLESPACE changes the definition of a tablespace.

PARAMETERS

name
    The name of an existing tablespace.

newname
    The new name of the tablespace. The new name cannot begin with pg_, as such names are reserved for system tablespaces.

newowner
    The new owner of the tablespace. You must be a superuser to change the owner of a tablespace.

EXAMPLES

Rename tablespace index_space to fast_raid:

ALTER TABLESPACE index_space RENAME TO fast_raid;

Change the owner of tablespace index_space:

ALTER TABLESPACE index_space OWNER TO mary;

COMPATIBILITY

There is no ALTER TABLESPACE statement in the SQL standard.

SEE ALSO
CREATE TABLESPACE [create_tablespace(7)], DROP TABLESPACE [drop_tablespace(l)]